package kz.arta.ext.sap.util;

public class DateFormats {

    public static final DateFormat DATE_DASHED_REVERSED_TIME = makeFormat("yyyy-MM-dd HH:mm");
    public static final DateFormat TIMESTAMP = makeFormat("yyyy-MM-dd HH:mm:ss");
    public static final DateFormat TIMESTAMP_MS = makeFormat("yyyy-MM-dd HH:mm:ss.SSS");
    public static final DateFormat TIMESTAMP_MERGED = makeFormat("yyyyMMddHHmmss");
    public static final DateFormat TIMESTAMP_NO_SECONDS = makeFormat("yyyy-MM-dd HH:mm:00");
    public static final DateFormat DATE_DOTTED_FULL_TIME = makeFormat("dd.MM.yyyy HH:mm:ss");
    public static final DateFormat DATE_DOTTED_FULL_TIME_DOTTED = makeFormat("dd.MM.yyyy HH.mm.ss");
    public static final DateFormat DATE_DOTTED_REVERSED_FULL_TIME = makeFormat("yyyy.MM.dd HH:mm:ss");
    public static final DateFormat TIME_SECONDS_DATE_DOTTED = makeFormat("HH:mm:ss dd.MM.yyyy");
    public static final DateFormat TIME_DATE_DOTTED = makeFormat("HH:mm dd.MM.yyyy");
    public static final DateFormat TIME_DATE_DOTTED_YEAR_SHORT = makeFormat("HH:mm dd.MM.yy");

    /**
     * Формат даты/времени подписи
     */
    public static final DateFormat SIGN = makeFormat("HH:mm:ss dd.MM.yy");
    public static final DateFormat MSPF = makeFormat("yyyy-MM-dd'T'HH:mm:ss");

    public static final DateFormat DATE_DASHED_TIME = makeFormat("dd-MM-yyyy HH:mm");
    public static final DateFormat DATE_DOTTED_YEAR_SHORT_TIME = makeFormat("dd.MM.yy HH:mm");
    public static final DateFormat DATE_DASHED_TIME_DOTTED = makeFormat("dd-MM-yyyy HH.mm");
    public static final DateFormat REPOSITORY_VERSION = TIME_DATE_DOTTED;

    public static final DateFormat DATE_DASHED_REVERSED = makeFormat("yyyy-MM-dd");
    public static final DateFormat DATE_DASHED_REVERSED_Z = makeFormat("yyyy-MM-dd Z");
    public static final DateFormat DATE_DOTTED = makeFormat("dd.MM.yyyy");
    public static final DateFormat DATE_DOTTED_REVERSED = makeFormat("yyyy.MM.dd");
    public static final DateFormat DATE_DOTTED_NO_YEAR = makeFormat("dd.MM");
    public static final DateFormat DATE_DOTTED_YEAR_SHORT = makeFormat("dd.MM.yy");
    public static final DateFormat DATE_DASHED = makeFormat("dd-MM-yyyy");
    public static final DateFormat DATE_DASHED_YEAR_SHORT = makeFormat("dd-MM-yy");
    public static final DateFormat DATE_MERGED_REVERSED = makeFormat("yyyyMMdd");
    public static final DateFormat DATE_MERGED = makeFormat("ddMMyyyy");


    public static final DateFormat TIME_SECONDS = makeFormat("HH:mm:ss");


    public static final DateFormat TIME_DASHED = makeFormat("HH-mm");
    public static final DateFormat TIME = makeFormat("HH:mm");
    public static final DateFormat TIME_DOTTED = makeFormat("HH.mm");

    private DateFormats() {
        //utils
    }

    private static DateFormat makeFormat(String f) {
        return DateFormatFactory.instance.get(f);
    }

}
