package kz.arta.ext.sap.util;

import java.util.List;
import java.util.Map;

public class FormField {

    private String code;
    private String type;
    private String value;
    private String key;
    //для чекбокса
    private List<String> values;
    private List<String> keys;

    //для справочных значений
    private Map<String, String> elements;

    //для даты
    private String dateFormat;

    //для entity
    private String entityType;

    //для reglink
    private String registryID;

    private Boolean isRequired = false;
    private Boolean isDate = false;
    private Boolean isDinTable = false;
    private Boolean isDictionary = false;
    private Boolean isRegLink = false;
    private Boolean isEntity = false;


    public FormField() {}

    public FormField(FormField ff) {
        this.code = ff.getCode();
        this.type = ff.getType();
        this.elements = ff.getElements();
        this.dateFormat = ff.getDateFormat();
        this.entityType = ff.getEntityType();
        this.registryID = ff.getRegistryID();
        this.isRequired = ff.isRequired();
        this.isDate = ff.isDate();
        this.isDinTable = ff.isDinTable();
        this.isDictionary = ff.isDictionary();
        this.isRegLink = ff.isRegLink();
        this.isEntity = ff.isEntity();
    }

    public FormField(String code, String type, String value, String key) {
        this.code = code;
        this.type = type;
        this.value = value;
        this.key = key;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Boolean isRequired() {
        return isRequired;
    }

    public void setRequired(Boolean required) {
        isRequired = required;
    }

    public Boolean isDinTable() {
        return isDinTable;
    }

    public void setDinTable(Boolean dinTable) {
        isDinTable = dinTable;
    }

    public Boolean isDictionary() {
        return isDictionary;
    }

    public void setDictionary(Boolean dictionary) {
        isDictionary = dictionary;
    }

    public Boolean isRegLink() {
        return isRegLink;
    }

    public void setRegLink(Boolean regLink) {
        isRegLink = regLink;
    }

    public Map<String, String> getElements() {
        return elements;
    }

    public void setElements(Map<String, String> elements) {
        this.elements = elements;
    }

    public String getDateFormat() {
        return dateFormat;
    }

    public void setDateFormat(String dateFormat) {
        this.dateFormat = dateFormat;
    }

    public String getEntityType() {
        return entityType;
    }

    public void setEntityType(String entityType) {
        this.entityType = entityType;
    }

    public String getRegistryID() {
        return registryID;
    }

    public void setRegistryID(String registryID) {
        this.registryID = registryID;
    }

    public Boolean isDate() {
        return isDate;
    }

    public void setDate(Boolean date) {
        isDate = date;
    }

    public Boolean isEntity() {
        return isEntity;
    }

    public void setEntity(Boolean entity) {
        isEntity = entity;
    }

    public List<String> getValues() {
        return values;
    }

    public void setValues(List<String> values) {
        this.values = values;
    }

    public List<String> getKeys() {
        return keys;
    }

    public void setKeys(List<String> keys) {
        this.keys = keys;
    }
}
